package com.goldenwater.yjjt.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goldenwater.common.annotation.Excel;
import com.goldenwater.common.core.domain.BaseEntity;

import java.io.Serializable;

/**
 * 站点缺报统计DTO
 */
public class YjjtQuebaoStatistics implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 年份 */
    @Excel(name = "年份", width = 10)
    private String year;

    /** 测站编码 */
    @Excel(name = "测站编码", width = 20)
    private String stcd;

    /** 测站名称 */
    @Excel(name = "测站名称", width = 25)
    private String stnm;

    /** 站点类型 */
    private String sttp;

    /** 河流名称 */
    @Excel(name = "河流名称", width = 20)
    private String rvnm;

    /** 测站地址 */
    @Excel(name = "测站地址", width = 30)
    private String stlc;

    /** 管理单位 */
    @Excel(name = "管理单位", width = 30)
    private String jcdw;

    /** 监测频次 */
    @Excel(name = "监测频次", width = 15)
    private String jcpc;

    /** 监测项目 */
    @Excel(name = "监测项目", width = 15)
    private String jcxm;

    /** 数据来源 */
    private String addvcd;

    /** 测站数据量 */
    @Excel(name = "测站数据量", width = 15)
    private Integer dataCount;

    /** 到报情况 */
    @Excel(name = "到报情况", width = 15)
    private String reportStatus;

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getStcd() {
        return stcd;
    }

    public void setStcd(String stcd) {
        this.stcd = stcd;
    }

    public String getStnm() {
        return stnm;
    }

    public void setStnm(String stnm) {
        this.stnm = stnm;
    }

    public String getSttp() {
        return sttp;
    }

    public void setSttp(String sttp) {
        this.sttp = sttp;
    }

    public String getRvnm() {
        return rvnm;
    }

    public void setRvnm(String rvnm) {
        this.rvnm = rvnm;
    }

    public String getStlc() {
        return stlc;
    }

    public void setStlc(String stlc) {
        this.stlc = stlc;
    }

    public String getJcdw() {
        return jcdw;
    }

    public void setJcdw(String jcdw) {
        this.jcdw = jcdw;
    }

    public String getJcpc() {
        return jcpc;
    }

    public void setJcpc(String jcpc) {
        this.jcpc = jcpc;
    }

    public String getJcxm() {
        return jcxm;
    }

    public void setJcxm(String jcxm) {
        this.jcxm = jcxm;
    }

    public String getAddvcd() {
        return addvcd;
    }

    public void setAddvcd(String addvcd) {
        this.addvcd = addvcd;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public void setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }
}
